"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.modelName = exports.hasDynamicIsland = exports.areActivitiesEnabled = void 0;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-dynamic-island-master' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const DynamicIslandMaster = _reactNative.NativeModules.DynamicIslandMaster ? _reactNative.NativeModules.DynamicIslandMaster : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
const {
  hasDynamicIsland,
  modelName,
  areActivitiesEnabled
} = DynamicIslandMaster.getConstants();
exports.areActivitiesEnabled = areActivitiesEnabled;
exports.modelName = modelName;
exports.hasDynamicIsland = hasDynamicIsland;
//# sourceMappingURL=index.js.map